### Method

# CM Pusher set_app_id

since: 0.0.1

#### Declaration [src]

    void
    cm_pusher_set_app_id (
      CmPusher* self,
      const char* app_id
    )

#### Description [src]

Pushers can have an app-id associated with them so an app can find the pushers it has configured. This should be in reverse DNS notation like `com.example.Client`.

Available since: 0.0.1

#### Parameters

`app_id`

  Type: `const char*`

  An app-id.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.